Subject: RE: bug#38315: 26.3; Emacs manual: please index Alt key for node User Input

From: Drew Adams <[email-masked]>
Date: Fri, 22 Nov 2019 09:36:45 -0800 (PST)

> > There are index entries for the Alt key on MS
> > Windows, but there is no index entry for node
> > `User Input', where it is mentioned in a general
> > context (not just MS Windows).  Please add an
> > index entry for this.
> 
> What would that index entry index in that node?  That
> node has no Windows-specific information or issues, AFAICT.

Precisely.  This is not about MS Windows, just as
that node is not about MS Windows.  It's about the
`Alt' key and the `A-' modifier.

> > These are the current index entries containing
> > "alt" that refer to an Alt key:
> >
> > <Alt>-<TAB> vs M-<TAB> (MS-Windows)
> > <AltGr> key (MS-Windows)
> > Alt key (MS-Windows)
> > Alt key invokes menu (Windows)
> > AltGr (MS-Windows)
> > M-<TAB> vs <Alt>-<TAB> (MS-Windows)
> >
> > ns-alternate-modifier
> > ns-right-alternate-modifier
> > w32-alt-is-meta
> > w32-pass-alt-to-system
> > w32-recognize-altgr
> >
> > (I had to look for "meta" in the index to find the
> > mention of the Alt key in node `User Input'.)
> 
> Please describe, step by step, what subject/topic did you look for,
> how did you look for it (i.e. what index entries you tried), and how
> did you eventually find it.  Without the whole story, I'm afraid I
> cannot understand what exactly was missing in your use case and how
> best to fix that.

I looked for info about the `Alt' key and the `A-'
modifier, using `i' (with substring matching).
I was not looking for info specific to MS Windows.

Luckily, I was pretty sure that there was some info
about this, even though I couldn't find it by looking
with `i' for matches for `alt'.  I eventually found
it by looking for matches for `meta'.

My search for it was to point users to it who had
questions about it:

https://emacs.stackexchange.com/questions/53918/capital-a-meaning-in-emacs-syntax

https://emacs.stackexchange.com/questions/44889/what-is-the-a-binding

If you don't feel there is a missing index entry
for this then fine, that's on you.